Package org.codehaus.groovy.control

## Class CompilationUnit.PrimaryClassNodeOperation

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

- All Implemented Interfaces:
    `CompilationUnit.IPrimaryClassNodeOperation`
  Enclosing class:
    CompilationUnit

      @Deprecated
      public abstract static class CompilationUnit.PrimaryClassNodeOperation
      extends Object
      implements CompilationUnit.IPrimaryClassNodeOperation

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrimaryClassNodeOperation()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.control.CompilationUnit.IPrimaryClassNodeOperation

      `call, doPhaseOperation, needSortedInput`

- - ### Constructor Detail

    - #### PrimaryClassNodeOperation

          public PrimaryClassNodeOperation()

      Deprecated.